﻿'Imports System.Web.Routing
Imports Microsoft.AspNet.FriendlyUrls
'
' La clase RouteConfig encapsula la funcionalidad relacionada con la redirección de peticiones
' y se localiza en App_Start/RouteConfig.vb o RouteConfig.cs o ambos.
' Este fichero contiene las operaciones que la aplicación ha de realizar al iniciarse, 
' previas a cualquier petición que pueda recibir. Entre esas operaciones se encuentra la posibilidad 
' de indicarle cómo se realizarán las redirecciones de las peticiones HTTP.
'
Public Module RouteConfig
    Sub RegisterRoutes(ByVal routes As RouteCollection)
        Dim settings As FriendlyUrlSettings = New FriendlyUrlSettings() With {
            .AutoRedirectMode = RedirectMode.Permanent
        }
        routes.EnableFriendlyUrls(settings)
    End Sub
End Module
