﻿<%@ Page Language="vb" AutoEventWireup="True" CodeBehind="validar1.aspx.vb" Inherits="validarvb2.validarvb" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="es">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Validar contraseña</title>
</head>

<body>

    <div style="text-align: center; font-family: Verdana;">
        <h3>Sitio restringido</h3>
        <form id="Form1" method="post" runat="server">

            <%--Bloque para utilizar validación no intrusiva, ha de ser el primer texto después de la etiqueta form --%>
            <asp:ScriptManager runat="server">
                <Scripts>
                    <asp:ScriptReference Name="jquery" />
                </Scripts>
            </asp:ScriptManager>

            <div style="width: 300px; margin-left: auto; margin-right: auto;">
                <table style="text-align: center; font-size: 12px;">
                    <tr>
                        <td>Contraseña:</td>
                        <td>
                            <asp:TextBox ID="txtPassword" TextMode="Password" Width="100" runat="server" MaxLength="10" EnableViewState="True"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>Repetir contraseña:</></td>
                        <td>
                            <asp:TextBox ID="txtConfirmar" TextMode="Password" Width="100" runat="server" MaxLength="10" EnableViewState="True"></asp:TextBox>
                        </td>
                    </tr>
                </table>
            </div>
            <br />
            <asp:Button ID="cmdEnviar" CausesValidation="True" runat="server" Text="Enviar datos" OnClick="puedePasar"></asp:Button>
            <br />
            <br />
            <asp:RequiredFieldValidator ID="valPassword1" runat="server" ControlToValidate="txtPassword" EnableClientScript="True" Display="None"
                ErrorMessage="<br /><div align=center><b>Contraseña</b> es un campo obligatorio.</div>" />
            <asp:CompareValidator ID="valPassword2" runat="server" ControlToValidate="txtPassword" ValueToCompare="xxx" Operator="Equal" EnableClientScript="True"
                Display="None" ErrorMessage="<br /><div align=center><b>Contraseña</b> no válida.</div>" />
            <asp:RequiredFieldValidator ID="valConfirmar" ControlToValidate="txtConfirmar" EnableClientScript="true" Display="None" runat="server"
                ErrorMessage="<br /><div align=center><b>Repetir contraseña</b> es un campo obligatorio.</div>" />
            <asp:CompareValidator ID="valComparar" ControlToValidate="txtConfirmar" ControlToCompare="txtPassword" Display="None" EnableClientScript="true"
                ErrorMessage="<br /><div align=center>Ambas contraseñas deben <b>coincidir</b>.</div>" runat="server" />
            <br />
            <asp:ValidationSummary runat="server" DisplayMode="SingleParagraph" ShowSummary="True" ShowMessageBox="False" ID="valSumario"
                HeaderText="<div align=center><u>Se han encontrado los siguientes errores</u>: </div>" Font-Size="10pt" Font-Names="Verdana" />
        </form>
    </div>

</body>
</html>
